Page MenuHomePhabricator

[WLM] Possibility to choose which of the uploaded images should be shown by default on the list
Closed, ResolvedPublic8 Estimated Story Points

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Low.
Tobi_WMDE_SW updated the task description. (Show Details)

I suggest another configuration option for Upload Wizard campaigns to enable this feature per campaign. A checkbox (with the behaviour of a radio button) will be displayed beneath every single image that is being uploaded if the following conditions are met:

  • The feature is enabled in the campaign configuration
  • More than one image was uploaded
  • The monument list identifier was passed to the Upload Wizard

Whether the checkbox is checked or not also needs to be reflected in the description template, so that the monument list can later be updated with an image thumbnail of the selected image.

KasiaWMDE raised the priority of this task from Low to High.Jul 9 2015, 1:49 PM
KasiaWMDE set Security to None.
Tobi_WMDE_SW updated the task description. (Show Details)Jul 9 2015, 2:19 PM
kai.nissen moved this task from Backlog to Doing on the TCB-Team-Sprint-2015-07-15 board.
kai.nissen moved this task from Backlog to Doing on the TCB-Team-Sprint-2015-07-29 board.

Change 229456 had a related patch set uploaded (by Kai Nissen (WMDE)):
[UploadWizard] Introducing the usage of an object reference

https://gerrit.wikimedia.org/r/229456

Hi @MarkTraceur, could you have a look at the patch above? That would be really great as we are working on a deadline for the WLM. Thanks a lot in advance and cheeers!

Hi @kaldari , could you have a look at the patch above? That would be great, thanks a lot in advance!

I did some development on the initial version of UploadWizard but was not involved in the development of the campaigns feature, and don't know a lot about it. Unfortunately, the title of this task doesn't really give me enough context to know what this task is about (and there's no description). Could someone write a description for this task that explains the context and what is being sought here?

There are three additional fields configurable in the campaign definition:

  • labelPickImage
  • noticeExistingImage
  • noticeUpdateDelay

Setting these results in overriding the messages defined in the i18n files respectively:

  • mwe-upwiz-objref-pick-image
  • mwe-upwiz-objref-notice-existing-image
  • mwe-upwiz-objref-notice-update-delay

See attached file for an example:

This feature depends on an object reference being passed as a GET parameter (e. g. ?objref=id12345).

If the object reference is being passed, there are two scenarios:

  • The additional parameter updateList=true is also being passed. This results in a checkbox being displayed for each upload to let the user choose a single image getting tagged with the object reference (which is later being used to update the list entry on the referring page). On the last step of the Upload Wizard a notice is being displayed that tells users that updating the list may take some time.
  • The parameter updateList is being omitted. This results in a disabled checkbox and an additional notice saying that there already is an image thumbnail in the list.

Change 229456 merged by jenkins-bot:
[UploadWizard] Introducing the usage of an object reference

https://gerrit.wikimedia.org/r/229456

Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 10 2015, 8:30 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald Transcript
matmarex closed this task as Resolved.Sep 11 2015, 8:31 PM
matmarex removed a project: Patch-For-Review.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 11 2015, 8:31 PM
Jdforrester-WMF moved this task from Untriaged to Done on the Multimedia board.Sep 15 2015, 3:19 PM
Base added a subscriber: Base.Oct 19 2015, 10:25 PM

Can someone document the features introduced in https://www.mediawiki.org/wiki/Extension:UploadWizard/Campaigns and other appropriate pages please?

It is documented in the Object Reference section.